public static final class CreateClusterRequest.Builder extends Object
| 限定符和类型 | 方法和说明 |
|---|---|
CreateClusterRequest.Builder |
acceptLanguage(String acceptLanguage)
The language type of the returned information:
zh: Chinese
en: English
example:
zh
|
CreateClusterRequest |
build() |
CreateClusterRequest.Builder |
chargeType(String chargeType)
Billing method, including PREPAY (Subscription) and POSTPAY (Pay-As-You-Go).
|
CreateClusterRequest.Builder |
clusterSpecification(String clusterSpecification)
Engine specifications, with the following values:
[Professional Edition]
MSE_SC_2_4_60_c: 2 cores, 4GB
MSE_SC_1_2_60_c: 1 core, 2GB
MSE_SC_4_8_60_c: 4 cores, 8GB
MSE_SC_8_16_60_c: 8 cores, 16GB
MSE_SC_16_32_60_c: 16 cores, 32GB
[Developer Edition]
MSE_SC_1_2_60_c: 1 core, 2GB
MSE_SC_2_4_60_c: 2 cores, 4GB
[Serverless Edition]
Ignore this parameter, or you can fill in MSE_SC_SERVERLESS. |
CreateClusterRequest.Builder |
clusterType(String clusterType)
Cluster type, including ZooKeeper, Nacos-Ans.
|
CreateClusterRequest.Builder |
clusterVersion(String clusterVersion)
Cluster version, with the following values:
[Professional Edition]
NACOS_2_0_0: indicates Nacos 2.x.x version. |
CreateClusterRequest.Builder |
connectionType(String connectionType)
Network access type,
slb or single_eni; some regions" Developer Edition only support the single_eni type. |
CreateClusterRequest.Builder |
diskType(String diskType)
No longer in use
example:
alicloud-disk-ssd
|
CreateClusterRequest.Builder |
eipEnabled(Boolean eipEnabled)
Valid when
ConnectionType is single_eni, indicating whether to enable public network access (Elastic IP). |
CreateClusterRequest.Builder |
instanceCount(Integer instanceCount)
Number of instance nodes, with a range limit of 1 to 9.
|
CreateClusterRequest.Builder |
instanceName(String instanceName)
Custom instance name
example:
tanshuyingtest001
|
CreateClusterRequest.Builder |
mseVersion(String mseVersion)
Required unless under special circumstances, with the following values:
mse_pro: indicates Professional Edition. |
CreateClusterRequest.Builder |
netType(String netType)
Network type, with the following values:
privatenet: indicates a private network. |
CreateClusterRequest.Builder |
privateSlbSpecification(String privateSlbSpecification)
No longer in use
example:
slb.s1.small
|
CreateClusterRequest.Builder |
pubNetworkFlow(String pubNetworkFlow)
Valid when
ConnectionType is slb. 0 indicates no public network access SLB creation, and values above 1 indicate a fixed bandwidth for public network access SLB; unit: Mbps. |
CreateClusterRequest.Builder |
pubSlbSpecification(String pubSlbSpecification)
No longer in use
example:
slb.s1.small
|
CreateClusterRequest.Builder |
region(String region)
The region where the cluster is located, including but not limited to the following regions:
cn-hangzhou: Hangzhou
cn-beijing: Beijing
cn-shanghai: Shanghai
cn-zhangjiakou: Zhangjiakou
cn-shenzhen: Shenzhen
example:
cn-hangzhou |
CreateClusterRequest.Builder |
requestPars(String requestPars)
Extended request parameters, in JSON format.
|
CreateClusterRequest.Builder |
resourceGroupId(String resourceGroupId)
Resource group ID.
|
CreateClusterRequest.Builder |
securityGroupType(String securityGroupType)
Valid when
ConnectionType is single_eni, indicating the security group type of the instance. |
CreateClusterRequest.Builder |
tag(List<CreateClusterRequest.Tag> tag)
List of tags to be added.
|
CreateClusterRequest.Builder |
vpcId(String vpcId)
VPC ID.
|
CreateClusterRequest.Builder |
vSwitchId(String vSwitchId)
Switch ID.
|
public CreateClusterRequest.Builder acceptLanguage(String acceptLanguage)
The language type of the returned information:
zh
public CreateClusterRequest.Builder chargeType(String chargeType)
Billing method, including PREPAY (Subscription) and POSTPAY (Pay-As-You-Go).
This parameter is ignored for the Serverless edition.
example:POSTPAY
public CreateClusterRequest.Builder clusterSpecification(String clusterSpecification)
Engine specifications, with the following values:
[Professional Edition]
MSE_SC_2_4_60_c: 2 cores, 4GBMSE_SC_1_2_60_c: 1 core, 2GBMSE_SC_4_8_60_c: 4 cores, 8GBMSE_SC_8_16_60_c: 8 cores, 16GBMSE_SC_16_32_60_c: 16 cores, 32GB[Developer Edition]
MSE_SC_1_2_60_c: 1 core, 2GBMSE_SC_2_4_60_c: 2 cores, 4GB[Serverless Edition]
Ignore this parameter, or you can fill in MSE_SC_SERVERLESS.
This parameter is required.
example:MSE_SC_2_4_60_c
public CreateClusterRequest.Builder clusterType(String clusterType)
Cluster type, including ZooKeeper, Nacos-Ans.
This parameter is required.
example:Nacos-Ans
public CreateClusterRequest.Builder clusterVersion(String clusterVersion)
Cluster version, with the following values:
[Professional Edition]
NACOS_2_0_0: indicates Nacos 2.x.x version.ZooKeeper_3_8_0: indicates ZooKeeper 3.8.x version.[Developer Edition]
NACOS_2_0_0: indicates Nacos 2.x version.ZooKeeper_3_8_0: indicates ZooKeeper 3.8.x version.[Serverless Edition]
NACOS_2_0_0: indicates Nacos 2.x version.ZooKeeper_3_8_0: indicates ZooKeeper 3.8.x version.This parameter is required.
example:NACOS_2_0_0
public CreateClusterRequest.Builder connectionType(String connectionType)
Network access type, slb or single_eni; some regions" Developer Edition only support the single_eni type.
slb
public CreateClusterRequest.Builder diskType(String diskType)
No longer in use
example:alicloud-disk-ssd
public CreateClusterRequest.Builder eipEnabled(Boolean eipEnabled)
Valid when ConnectionType is single_eni, indicating whether to enable public network access (Elastic IP).
public CreateClusterRequest.Builder instanceCount(Integer instanceCount)
Number of instance nodes, with a range limit of 1 to 9.
[Professional Edition]
[Developer Edition]
[Serverless Edition]
Ignore this parameter.
This parameter is required.
example:3
public CreateClusterRequest.Builder instanceName(String instanceName)
Custom instance name
example:tanshuyingtest001
public CreateClusterRequest.Builder mseVersion(String mseVersion)
Required unless under special circumstances, with the following values:
mse_pro: indicates Professional Edition.mse_dev: indicates Developer Edition.mse_serverless: indicates Serverless Edition.mse_pro
public CreateClusterRequest.Builder netType(String netType)
Network type, with the following values:
privatenet: indicates a private network.pubnet: indicates a public network.This parameter is required.
example:privatenet
public CreateClusterRequest.Builder privateSlbSpecification(String privateSlbSpecification)
No longer in use
example:slb.s1.small
public CreateClusterRequest.Builder pubNetworkFlow(String pubNetworkFlow)
Valid when ConnectionType is slb. 0 indicates no public network access SLB creation, and values above 1 indicate a fixed bandwidth for public network access SLB; unit: Mbps.
Value range: 0~5000.
example:0
public CreateClusterRequest.Builder pubSlbSpecification(String pubSlbSpecification)
No longer in use
example:slb.s1.small
public CreateClusterRequest.Builder region(String region)
The region where the cluster is located, including but not limited to the following regions:
cn-hangzhou: Hangzhoucn-beijing: Beijingcn-shanghai: Shanghaicn-zhangjiakou: Zhangjiakoucn-shenzhen: Shenzhencn-hangzhou
public CreateClusterRequest.Builder requestPars(String requestPars)
Extended request parameters, in JSON format.
example:{}
public CreateClusterRequest.Builder resourceGroupId(String resourceGroupId)
Resource group ID. For more details about the resource group, see Basic Information of Resource Group.
example:rg-aekzcqmoay3dlyq
public CreateClusterRequest.Builder securityGroupType(String securityGroupType)
Valid when ConnectionType is single_eni, indicating the security group type of the instance.
enterprise
public CreateClusterRequest.Builder tag(List<CreateClusterRequest.Tag> tag)
List of tags to be added. Contains up to 20 items.
public CreateClusterRequest.Builder vSwitchId(String vSwitchId)
Switch ID.
example:vsw-bp17opt4v18sto39k****
public CreateClusterRequest.Builder vpcId(String vpcId)
VPC ID.
example:vpc-bp1t50e045b5g7i3p****
public CreateClusterRequest build()
Copyright © 2026. All rights reserved.